import httpClient from '@/services/http'
import { CommonFetchOptions } from '@/services/http/types'

/**
 * 查询托管银行
 */
export function getAllBankCus(options: CommonFetchOptions<{ response: Model.AllBankCusRsp[]; }>) {
    return httpClient.commonRequest('/common/getAllBankCus', 'get', options)
}

/**
 * 查询托管银行支持银行
 */
export function getBankInfoByCusBank(options: CommonFetchOptions<{ request: Model.BankInfoByCusBankReq; response: Model.BankInfoByCusBankRsp[]; }>) {
    return httpClient.commonRequest('/common/getBankInfoByCusBank', 'get', options)
}

/**
 * 出入金、银行签约扩展信息是否展示
 */
export function queryBooleanForAmount(options: CommonFetchOptions<{ request: Model.BooleanForAmountReq; response: Model.BooleanForAmountRsp[]; }>) {
    return httpClient.commonRequest('/common/queryBooleanForAmount', 'get', options)
}

/**
 * 查询已签约银行
 */
export function getBankAccountSign(options: CommonFetchOptions<{ request: Model.BankAccountSignReq; response: Model.BankAccountSignRsp[]; }>) {
    return httpClient.commonRequest('/common/getBankAccountSign', 'get', options)
}

/**
 * 获取可用金额
 */
export function queryMoney(options: CommonFetchOptions<{ request: Model.MoneyReq; response: Model.MoneyRsp; }>) {
    return httpClient.commonRequest('/common/queryMoney', 'get', options)
}